## ros-foxy-rviz-assimp-vendor 8.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_assimp_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

macro(build_assimp)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(WIN32)
    # the /EHsc flag is needed to prevent warnings within the assimp build
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=/w /EHsc")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=-std=c++14 -w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=-w")
  endif()

  list(APPEND extra_cmake_args "-DASSIMP_BUILD_ASSIMP_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_SAMPLES=OFF")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  ExternalProject_Add(assimp-4.1.0
    URL https://github.com/assimp/assimp/archive/v4.1.0.tar.gz
    URL_MD5 83b53a10c38d964bd1e69da0606e2727
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/assimp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/assimp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor
  )
endmacro()

# Override ON so that the following CMake logic in assimp 5.0.1 and older
# doesn't result in a CMake warning: if(ON)
#   https://github.com/ros2/rviz/issues/524
#   https://bugs.launchpad.net/ubuntu/+source/assimp/+bug/1869405
set(ON 1)

find_package(assimp QUIET)

if(NOT assimp_FOUND OR "${assimp_VERSION}" VERSION_LESS 4.1.0)
  build_assimp()

  if(WIN32)
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\rviz_assimp_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/rviz_assimp_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.dsv.in)
endif()

ament_package(
  CONFIG_EXTRAS "rviz_assimp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-foxy-rviz-assimp-vendor (8.2.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.7-1focal) focal; urgency=high

  * Fix support for assimp 5.1.0 (#826 <https://github.com/ros2/rviz/issues/826>)
  * Contributors: Akash

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.1-1focal) focal; urgency=high

  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * [foxy-backport] fast forward of ros2 (default) to foxy (#570 <https://github.com/ros2/rviz/issues/570>)
    * restore compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
    * Suppress warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
    * Don't try to moc generate env_config.hpp file. (#550 <https://github.com/ros2/rviz/issues/550>)
    This removes one more warning from rviz_common builds.
    * rewrite hack to avoid CMake warning with assimp 5.0.1 and older, apply cross platform (#565 <https://github.com/ros2/rviz/issues/565>)
    * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>)
    * restore alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
    * Don't install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Michael Jeronimo, William Woodall, Dirk Thomas, Chris Lalancette, ymd-stella, Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.2.0-1focal) focal; urgency=high

  * Updated a hack to avoid CMake warning with assimp 5.0.1 and older, applying it cross platforms (#565 <https://github.com/ros2/rviz/issues/565>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.0.1-1focal) focal; urgency=high

  * Make rviz_assimp_vendor hack specific to Ubuntu Focal. (#536 <https://github.com/ros2/rviz/issues/536>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Suppressed an upstream cmake warning in assimp. (#534 <https://github.com/ros2/rviz/issues/534>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (7.0.0-1focal) focal; urgency=high

  * Add .dsv file beside custom environment hook (#466 <https://github.com/ros2/rviz/issues/466>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (6.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (5.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (5.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (4.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-foxy-rviz-assimp-vendor (4.0.0-1focal) focal; urgency=high

  * Fixed the exported CMake variables to workaround the upstream ``libassimp-dev`` bug. (#288 <https://github.com/ros2/rviz/issues/288>)


=== debian/control ===
Source: ros-foxy-rviz-assimp-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://assimp.sourceforge.net/index.html
Standards-Version: 3.9.2

Package: ros-foxy-rviz-assimp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, ros-foxy-ros-workspace
Description: Wrapper around assimp, providing nothing but a dependency on assimp, on some systems.
 On others, it provides a fixed CMake module or even an ExternalProject build of assimp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rviz-assimp-vendor//opt/ros/foxy/lib/:$(CURDIR)/debian/ros-foxy-rviz-assimp-vendor//opt/ros/foxy/opt/rviz_assimp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
